### Hierarchy

- Utils

### Implements

- IUtils

## Index

### Constructors

- constructor

### Accessors

- DEFAULT_CELL_STYLE

### Methods

- clonePageContent
- comparePageContent
- getDefaultCellStyle
- mergePageContent
- parseApiError

## Constructors

### constructor

- new Utils(): Utils

- - Defined in Utils.ts:21

  #### Returns Utils

## Accessors

### Static DEFAULT_CELL_STYLE

- get DEFAULT_CELL_STYLE(): IPageCellStyle

- - Defined in Utils.ts:26

  #### Returns IPageCellStyle

## Methods

### clonePageContent

- clonePageContent(content: IPageContent, removeStyles?: undefined | false | true): IPageContent

- Implementation of IUtils.clonePageContent

  - Defined in Utils.ts:78

  #### Parameters

  - ##### content: IPageContent

  - ##### Optional removeStyles: undefined | false | true

  #### Returns IPageContent

### comparePageContent

- comparePageContent(currentContent: any, newContent: any, ignore_styles?: boolean): IUtilsDiff | false

- - Defined in Utils.ts:103

  #### Parameters

  - ##### currentContent: any

  - ##### newContent: any

  - ##### Default value ignore_styles: boolean = false

  #### Returns IUtilsDiff | false

### getDefaultCellStyle

- getDefaultCellStyle(): IPageCellStyle

- Implementation of IUtils.getDefaultCellStyle

  - Defined in Utils.ts:191

  #### Returns IPageCellStyle

### mergePageContent

- mergePageContent(_original: any, _current?: any, style?: IPageCellStyle, clean?: boolean): any

- - Defined in Utils.ts:151

  #### Parameters

  - ##### _original: any

  - ##### Optional _current: any

  - ##### Default value style: IPageCellStyle = {}

  - ##### Default value clean: boolean = false

  #### Returns any

### parseApiError

- parseApiError(err: any, def?: string): string

- - Defined in Utils.ts:55

  #### Parameters

  - ##### err: any

  - ##### Default value def: string = ""

  #### Returns string

Generated using TypeDoc